#!/bin/bash
set +ex

HOME_DIR="/home/phablet"

echo "I: Removing test packages"

package_list=""
for i in `ls $HOME_DIR/archive/work/output/*.deb`; do
  package_name=`dpkg -I $i | grep Package | cut -d " " -f 3`/saucy
  package_list="$package_list $package_name"
done

rm /etc/apt/sources.list.d/00localrepo.list
apt-get update || apt-get update || apt-get update
apt-get -y --force-yes install $package_list

echo "I: Results after package downgrade"
package_list=""
for i in `ls $HOME_DIR/archive/work/output/*.deb`; do
  package_name=`dpkg -I $i | grep Package | cut -d " " -f 3`
  apt-cache policy $package_name
done
echo "I: Cleanup complete"
